# Uses of Class
com.databricks.jdbc.model.telemetry.TelemetryRequest

Packages that use TelemetryRequest
Package
Description
com.databricks.jdbc.model.telemetry
com.databricks.jdbc.telemetry

## Uses of TelemetryRequest in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry that return TelemetryRequest
Modifier and Type
Method
Description
`TelemetryRequest`
TelemetryRequest.`setProtoLogs(List<String> protoLogs)`
`TelemetryRequest`
TelemetryRequest.`setUploadTime(Long uploadTime)`

## Uses of TelemetryRequest in com.databricks.jdbc.telemetry

Methods in com.databricks.jdbc.telemetry with parameters of type TelemetryRequest
Modifier and Type
Method
Description
`void`
CircuitBreakerTelemetryPushClient.`pushEvent(TelemetryRequest request)`
`void`
TelemetryPushClient.`pushEvent(TelemetryRequest request)`